> ## Documentation Index
> Fetch the complete documentation index at: https://docs.merchantspring.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Create a custom group

> Create a new custom product group for a channel.



## OpenAPI

````yaml /api-reference/openapi.json post /customGroups
openapi: 3.0.1
info:
  title: MerchantSpring Public API
  version: 1.0.0
servers:
  - url: https://mm-api.merchantspring.io
    description: Production
  - url: https://mm-api-staging.merchantspring.io
    description: Staging
security: []
tags:
  - name: channel
    x-group: Channel
  - name: content-change
    x-group: Content Change
  - name: custom-group
    x-group: Custom Group
  - name: order
    x-group: Order
  - name: report
    x-group: Report
  - name: tag
    x-group: Tag
  - name: profitability
    x-group: Profitability
paths:
  /customGroups:
    post:
      tags:
        - custom-group
      summary: Create a custom group
      description: Create a new custom product group for a channel.
      operationId: createCustomGroup
      requestBody:
        description: Custom group details
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CreateCustomGroupRequest'
      responses:
        '200':
          description: Successful operation
          headers:
            Access-Control-Allow-Origin:
              schema:
                type: string
          content: {}
        '400':
          description: Invalid input
          content: {}
      security:
        - api_key: []
components:
  schemas:
    CreateCustomGroupRequest:
      type: object
      required:
        - channelId
        - merchantId
        - groupName
      description: Either products or brands must be provided (not both)
      properties:
        channelId:
          type: string
        merchantId:
          type: string
        groupName:
          type: string
        products:
          type: array
          items:
            type: object
            properties:
              sellerSku:
                type: string
                description: The seller SKU of the product
        brands:
          type: array
          items:
            type: string
        groupId:
          type: string
          description: Provide to update an existing group instead of creating a new one
  securitySchemes:
    api_key:
      type: apiKey
      name: x-api-key
      in: header

````